Loading...
Searching...
No Matches
BALL::VIEW::AssignBondOrderConfigurationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/assignBondOrderConfigurationDialog.h>`

Inheritance diagram for BALL::VIEW::AssignBondOrderConfigurationDialog:

## Public Slots

virtual void | resetOptions ()
void | accept ()
void | reject ()

## Public Member Functions

| AssignBondOrderConfigurationDialog (QWidget *parent=NULL, const char *name="AssignBondOrderConfigurationDialog")
| Constructor.
virtual | ~AssignBondOrderConfigurationDialog ()
| Destructor.
virtual void | initializeWidget (MainControl &main_control)
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

virtual void | browseParameterFiles_ ()
virtual void | balanceParameterChanged_ ()
virtual void | validateBOBoxes_ ()
virtual void | validateStrategies_ ()
virtual void | dialogButtonClicked_ (QAbstractButton *button)

## Friends

class | MolecularStructure

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
static void | registerWidget (ModularWidget *mwidget)
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for changing the options of the assignBondOrderProcessor

Definition at line 35 of file assignBondOrderConfigurationDialog.h.

## Constructor & Destructor Documentation

## AssignBondOrderConfigurationDialog()

BALL::VIEW::AssignBondOrderConfigurationDialog::AssignBondOrderConfigurationDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "AssignBondOrderConfigurationDialog" )

Constructor.

## ~AssignBondOrderConfigurationDialog()

virtual BALL::VIEW::AssignBondOrderConfigurationDialog::~AssignBondOrderConfigurationDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

void BALL::VIEW::AssignBondOrderConfigurationDialog::accept | ( |  | ) |

slot

## balanceParameterChanged_

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::balanceParameterChanged_ | ( |  | ) |

protected virtual slot

## browseParameterFiles_

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::browseParameterFiles_ | ( |  | ) |

protected virtual slot

## dialogButtonClicked_

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::dialogButtonClicked_ | ( | QAbstractButton * | button | ) |

protected virtual slot

## initializeWidget()

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initialize the widget. This method is called automatically immediately before the main application is started. It should add the widget's menu entries and connections (if required). This method will be called by MainControl::show.

Parameters

  main_control | the MainControl object to be initialized with this ModularWidget

See also
  finalizeWidget()

Reimplemented from BALL::VIEW::ModularWidget.

## reject

void BALL::VIEW::AssignBondOrderConfigurationDialog::reject | ( |  | ) |

slot

## resetOptions

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::resetOptions | ( |  | ) |

virtual slot

## validateBOBoxes_

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::validateBOBoxes_ | ( |  | ) |

protected virtual slot

## validateStrategies_

virtual void BALL::VIEW::AssignBondOrderConfigurationDialog::validateStrategies_ | ( |  | ) |

protected virtual slot

## Friends And Related Symbol Documentation

## MolecularStructure

friend class MolecularStructure

friend

Definition at line 41 of file assignBondOrderConfigurationDialog.h.